import logo from "../../assets/images/logo-min.png";
import maki from "../../assets/images/maki.jpg";

const Navbar = () => {

    return (
        <>
            <nav class="w-full py-4">
                <div class="flex justify-between items-center">
                    <div class="w-1/4">
                        <img src={logo} class="h-10" />
                    </div>
                    <div class="w-1/2">
                        <form>   
                            <div class="relative">
                                <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
                                    <svg class="w-4 h-4 text-gray-500 dark:text-gray-400" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20">
                                        <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="m19 19-4-4m0-7A7 7 0 1 1 1 8a7 7 0 0 1 14 0Z"/>
                                    </svg>
                                </div>
                                <input type="search" class="block w-full p-4 pl-10 text-sm text-gray-900 border border-gray-300 rounded bg-gray-50 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500 outline-none" placeholder="Rechercher..." required />
                            </div>
                        </form>
                    </div>
                    <div className="w-1/4 flex justify-end">
                        <ul className="flex">
                            <li>
                                <a href="#" onClick={(e) => { e.preventDefault() }}>
                                    <img src={maki} className="w-12 h-12 rounded-full"/>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </nav>
        </>
    )
}

export default Navbar;