import axios from "axios"
import { BASE_URL } from "../../../core/application/constant/common"
import { GET_NEWS } from "../constant/api-endpoints";

export const getNews = () => {

    return axios.get(BASE_URL + GET_NEWS, { params: {isLive:true, type: "citoyens", id: "5e14a490690864ab028b46c8", json:true}})
                .then(({data}) => {
                    const news = [];

                    Object.keys(data.news).forEach(id => {
                        const item = data.news[id];

                        item.author.profilThumbImageUrl = BASE_URL+item.author.profilThumbImageUrl;

                        if(item?.mediaImg?.images) {
                            item.mediaImg.images = item.mediaImg.images.map(image => {
                                image.imagePath = BASE_URL + image.imagePath
                                return image;
                            })
                        }

                        news.push({
                            id,
                            ...item
                        })
                    })

                    return Promise.resolve(news)
                })
}