import Article from "../component/article";
import { useContext, useEffect } from "preact/hooks"
import { getNews } from "../../infrastructure/api/news-api";
import StateContext from "../../../core/context/state-context";

const ListArticle = () => {
    const { articles } = useContext(StateContext);

    useEffect(async () => {
        const news = await getNews();
        articles.signal.value = news;
    }, [])

    return (
        <>
            <div className="w-full h-full overflow-auto pr-4">
                {
                    articles.signal.value.map(({ author, text, date, mediaImg }) => (
                        <div className="mb-5"><Article author={author} text={text} date={date.sec} image={ mediaImg?.images[0]?.imagePath }/></div>
                    ))
                }
            </div>
        </>
    )
}

export default ListArticle;